PHP Manual
Prev |  | Next

# DOMNode->cloneNode()

(no version information, might be only in CVS)

DOMNode->cloneNode() -- Clones a node

## Description

class DOMNode {
DOMNode cloneNode ( [bool deep] )
}

Creates a copy of the node.

## Parameters

deep

  Indicates whether to copy all descendant nodes. This parameter is defaulted to `FALSE`.

## Return Values

The cloned node.

Prev | Home | Next
DOMNode->appendChild() | Up | DOMNode->hasAttributes()